repo/gentoo:master commit in: net-libs/xrootd/

"Guilherme Amadio" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786614028.580d3a720bed83580f83fdb45c3c45faaafbf193.amadio@gentoo>
commit:     580d3a720bed83580f83fdb45c3c45faaafbf193
Author:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 09:11:49 2026 +0000
Commit:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 09:40:28 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=580d3a72

net-libs/xrootd: add 5.9.7

Closes: https://bugs.gentoo.org/972592
Signed-off-by: Guilherme Amadio <amadio <AT> gentoo.org>

 net-libs/xrootd/Manifest            |   1 +
 net-libs/xrootd/xrootd-5.9.7.ebuild | 228 ++++++++++++++++++++++++++++++++++++
 2 files changed, 229 insertions(+)

diff --git a/net-libs/xrootd/Manifest b/net-libs/xrootd/Manifest
index 0bc81d30951f..dae6602b6ffb 100644
--- a/net-libs/xrootd/Manifest
+++ b/net-libs/xrootd/Manifest
@@ -1,2 +1,3 @@
 DIST xrootd-5.8.2.tar.gz 6892307 BLAKE2B a21fb62593131b2d76c94e8c85c7338e1c7dfc79a6a0e0fac8bbe0637e1a882c6607c0f8bb877d3043595a40615241fe05b3d6361d569ac73ce0e0dfcdfb42bd SHA512 f6396e3c5353ceb3eed2a05b13832cd2650a57847a276e6f0ecbefce512c2bccb49268d28ac14e1b142581a8dcfa3ad4d26f49f0ec06d25e1fa180ad6a545c61
 DIST xrootd-5.9.5.tar.gz 6958836 BLAKE2B 4731534c87f3b17bb00535d0e08a6857e9ca0464ecf421adbe4ea4db7784dfbe536023f4221995cc1953a0ba723ded924e050709d7d433483ac96480d0fca0e0 SHA512 74829f253d34a801cff585c28340dd42cb77eea94cd456243d788e59c3d8ac6fe72a016f82bc56308a59974eba9519cdc087829763c64d5b0b9ba940d2d2eb94
+DIST xrootd-5.9.7.tar.gz 6973307 BLAKE2B a4dbbb78aac968a9c58f8e348ca4ff1fe150168cfa94fb819fc9c528002795c144373a816ede2ec84697e1654d594e45fc420dd03863c3426b0ea88ef88e23ae SHA512 f6a118a556b87881c821d32546e3a9d784578ffba99327821f0dec8de6b29360756cfd99bdc1adf4611490baee24bf9667657519be3a70efbd86345f9ed6a8a7

diff --git a/net-libs/xrootd/xrootd-5.9.7.ebuild b/net-libs/xrootd/xrootd-5.9.7.ebuild
new file mode 100644
index 000000000000..37ff32ef1ecd
--- /dev/null
+++ b/net-libs/xrootd/xrootd-5.9.7.ebuild
@@ -0,0 +1,228 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..14} python3_14t )
+DISTUTILS_EXT=1
+DISTUTILS_OPTIONAL=1
+DISTUTILS_USE_PEP517="setuptools"
+DOCS_BUILDER="doxygen"
+DOCS_DEPEND="
+	media-gfx/graphviz
+	virtual/latex-base
+	python? ( dev-python/sphinx )
+"
+
+inherit cmake docs distutils-r1 systemd
+
+DESCRIPTION="Extended ROOT remote file server"
+HOMEPAGE="https://xrootd.slac.stanford.edu/"
+LICENSE="LGPL-3+"
+
+SLOT="0"
+IUSE="ceph examples fuse http kerberos +libxml2 macaroons python readline scitokens +server systemd test xrdec"
+
+if [[ ${PV} =~ "9999" ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/xrootd/xrootd.git"
+else
+	KEYWORDS="~amd64 ~x86"
+	SRC_URI="https://xrootd.web.cern.ch/download/v${PV}/${P}.tar.gz"
+fi
+
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+	macaroons? ( server http )
+	python? ( ${PYTHON_REQUIRED_USE} )
+	scitokens? ( server )
+	test? ( server http )
+"
+
+CDEPEND="acct-group/xrootd
+	acct-user/xrootd
+	dev-libs/openssl:0=
+	virtual/zlib:=
+	virtual/libcrypt:=
+	ceph? ( sys-cluster/ceph )
+	fuse? ( sys-fs/fuse:0= )
+	http? (
+		net-misc/curl:=
+		net-libs/davix
+	)
+	kerberos? ( virtual/krb5 )
+	libxml2? ( dev-libs/libxml2:2= )
+	macaroons? ( dev-libs/libmacaroons )
+	python? ( ${PYTHON_DEPS} )
+	readline? ( sys-libs/readline:0= )
+	scitokens? ( dev-cpp/scitokens-cpp )
+	systemd? ( sys-apps/systemd:= )
+	xrdec? ( dev-libs/isa-l )
+"
+DEPEND="${CDEPEND}"
+BDEPEND="
+	python? (
+		${PYTHON_DEPS}
+		${DISTUTILS_DEPS}
+		test? ( >=dev-python/pytest-7.1.2[${PYTHON_USEDEP}] )
+	)
+	test? (
+		dev-cpp/gtest
+		dev-util/cppunit
+	)
+"
+RDEPEND="${CDEPEND}
+	dev-lang/perl
+"
+
+# XRootD plugins are not intended to be linked with,
+# they are loaded at runtime by the XRootD server.
+# See https://github.com/xrootd/xrootd/issues/447
+QA_SONAME="/usr/lib.*/libXrd.*-5\.so"
+
+pkg_setup() {
+	use python && python_setup
+}
+
+src_prepare() {
+	cmake_src_prepare
+
+	if use python; then
+		pushd "${S}"/bindings/python > /dev/null || die
+		distutils-r1_src_prepare
+		popd > /dev/null || die
+	fi
+}
+
+src_configure() {
+	local mycmakeargs=(
+		$(usex python "-DINSTALL_PYTHON_BINDINGS=FALSE" "")
+		-DXRDCEPH_SUBMODULE=$(usex ceph)
+		-DCMAKE_DISABLE_FIND_PACKAGE_LibXml2=$(usex libxml2 "no" "yes")
+		-DCMAKE_DISABLE_FIND_PACKAGE_systemd=$(usex systemd "no" "yes")
+		-DENABLE_FUSE=$(usex fuse)
+		-DENABLE_HTTP=$(usex http)
+		-DENABLE_KRB5=$(usex kerberos)
+		-DENABLE_MACAROONS=$(usex macaroons)
+		-DENABLE_PYTHON=$(usex python)
+		-DENABLE_READLINE=$(usex readline)
+		-DENABLE_SCITOKENS=$(usex scitokens)
+		-DENABLE_SERVER_TESTS=$(usex server)
+		-DENABLE_TESTS=$(usex test)
+		-DENABLE_VOMS=no
+		-DENABLE_XRDCL=yes
+		-DENABLE_XRDCLHTTP=$(usex http)
+		-DENABLE_XRDEC=$(usex xrdec)
+		-DFORCE_ENABLED=yes
+		-DXRDCL_ONLY=$(usex server "no" "yes")
+	)
+	cmake_src_configure
+
+	if use python; then
+		pushd "${BUILD_DIR}"/bindings/python > /dev/null || die
+		distutils-r1_src_configure
+		popd > /dev/null || die
+	fi
+}
+
+src_compile() {
+	cmake_src_compile
+	if use python; then
+		pushd "${BUILD_DIR}"/bindings/python > /dev/null || die
+		distutils-r1_src_compile
+		popd > /dev/null || die
+	fi
+
+	docs_compile
+	# secondary documentation for python bindings
+	if use python && use doc; then
+		emake -C bindings/python/docs html
+	fi
+}
+
+python_test() {
+	epytest
+}
+
+src_test() {
+	export CTEST_OUTPUT_ON_FAILURE=1
+
+	local CMAKE_SKIP_TESTS=(
+		# bug 937090, these fail on tmpfs, as they require
+		# a filesystem with extended attributes
+		$(usev server '
+			XrdCl::LocalFileHandlerTest.XAttrTest
+			XrdCl::FileTest.XAttrTest
+			XrdCl::FileCopyTest.ThirdPartyCopyTest
+			XrdCl::FileCopyTest.NormalCopyTest
+			XrdCl::FileSystemTest.XAttrTest
+			XrdCl::WorkflowTest.XAttrWorkflowTest
+			XrdCl::WorkflowTest.CheckpointTest
+			XRootD::authenticated_cluster
+			XRootD::httpnoclient
+			XRootD::macaroons
+			XRootD::xcachewithcsi
+			XRootD::badredir
+			XRootD::posix
+		')
+		# server fails to start due to long path to unix domain socket
+		$(usev scitokens '
+			XRootD::scitokens
+			XRootD::tpc
+		')
+	)
+	cmake_src_test
+	# Python tests currently require manual configuration and start-up of an xrootd server.
+	# TODO: get this to run properly.
+	#use python && distutils-r1_src_test
+}
+
+src_install() {
+	dodoc docs/ReleaseNotes.txt
+	cmake_src_install
+	find "${ED}" \( -iname '*.md5' -o -iname '*.map' \) -delete || die
+
+	if use server; then
+		local i
+		for i in cmsd frm_purged frm_xfrd xrootd; do
+			newinitd "${FILESDIR}"/${i}.initd ${i}
+		done
+		# all daemons MUST use single master config file
+		newconfd "${FILESDIR}"/xrootd.confd xrootd
+
+		if use systemd; then
+			systemd_dounit packaging/common/*.{service,socket}
+		fi
+	fi
+
+	# base configs
+	insinto /etc/xrootd
+	doins packaging/common/*.cfg
+
+	keepdir /etc/xrootd/config.d
+	keepdir /var/log/xrootd
+
+	fowners -R xrootd:xrootd /etc/xrootd
+	fowners -R xrootd:xrootd /var/log/xrootd
+
+	if use python; then
+		pushd "${BUILD_DIR}"/bindings/python > /dev/null || die
+		distutils-r1_src_install
+		popd > /dev/null || die
+
+		if use doc; then
+			docinto python
+			docompress -x "/usr/share/doc/${PF}/python/html"
+			dodoc -r bindings/python/docs/build/html
+		fi
+		if use examples; then
+			docinto python
+			dodoc -r bindings/python/examples
+		fi
+	fi
+
+	if use server && use test; then
+		rm "${ED}"/usr/bin/xrdshmap || die "Failed to remove test binary ${f} from installed tree"
+	fi
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.